Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225950 - Merge Review: jpackage-utils
Summary: Merge Review: jpackage-utils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:13 UTC by Nobody's working on this, feel free to take it
Modified: 2009-04-01 12:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-31 18:02:46 UTC
gwync: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:13:22 UTC
Fedora Merge Review: jpackage-utils

http://cvs.fedora.redhat.com/viewcvs/devel/jpackage-utils/
Initial Owner: fitzsim@redhat.com

Comment 1 Gwyn Ciesla 2008-02-04 18:04:02 UTC
rpmlint:

Change Group tag to Applications/System, Utilities is not valid.

Change license, JPackage License is invalid. I think BSD is closest.

jpackage-utils.noarch: W: conffile-without-noreplace-flag /etc/java/jpackage-release
A configuration file is stored in your package without the noreplace flag.
A way to resolve this is to put the following in your SPEC file:

%config(noreplace) /etc/your_config_file_here


I can't find the tarball on the upstream site, so I can't tell you what the
Source0 tag should be changed to, but it must include a URL.

The %description is a little on the large side, and sort of blind-sided me when
I rpm -qi jpackage-utils.  Not a blocker, just a suggestion.

Otherwise, looks great.

Comment 2 Gwyn Ciesla 2008-05-16 15:05:09 UTC
Any updates?

Comment 3 Gwyn Ciesla 2008-07-25 13:59:00 UTC
Adding current owner. . .

Comment 4 Gwyn Ciesla 2008-09-09 16:00:49 UTC
Reviewed current SRPM from rawhide.

All the above still apply, except that the license tag has been fixed.

Comment 5 Gwyn Ciesla 2008-12-09 20:31:44 UTC
Ping?

Comment 6 Gwyn Ciesla 2009-03-31 15:14:38 UTC
Tested current rawhide version, same as #4.

Comment 7 Deepak Bhole 2009-03-31 17:20:20 UTC
None of the standard groups apply to this package. And it is not a system application, it is a collection of utility scripts only. Fedora policy allows rpmlint warnings about groups if none of the standard ones apply.

License now says BSD in rawhide.

/etc/java/jpackage-release should not be noreplace. Even if someone manually changes it for whatever reason, it should be overwritten when a new version is installed. /etc/fedora-release is the same way, %config without the noreplace.

As for the description -- there is no README in the upstream tarball, which is why it is so long I believe. I'll move it to a readme and point to it from the description.

Thanks for reviewing this. With the above description change, is it okay to close this issue?

Comment 8 Gwyn Ciesla 2009-03-31 17:37:13 UTC
File the above as rpmlint exceptions and we're good.

Comment 9 Deepak Bhole 2009-03-31 18:02:46 UTC
Great! New build is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1268274

The rpmlint says:
jpackage-utils.src: W: non-standard-group Utilities
jpackage-utils.noarch: W: non-standard-group Utilities

The above 2 are acceptable because this package is a collection of utilities only, and there is no utility specific group in the grouplist that rpmlint searches.

jpackage-utils.noarch: W: conffile-without-noreplace-flag /etc/java/jpackage-release

The above is acceptable because even if the user changes the files, we want it to be overwritten when a newer version is installed - just as with the fedora-release file.

Comment 10 Gwyn Ciesla 2009-04-01 12:40:32 UTC
Great, APPROVED. Thanks!


Note You need to log in before you can comment on or make changes to this bug.